.slider-section-container {
  width: 100%;
  padding: 50px 0;
}

.slider-section-container .slider-header .navigation-actions {
  display: flex;
  align-items: center;
  gap: 8px;
}
.slider-section-container .slider-header .nav-btn {
  width: 30px;
  height: 30px;
  border-radius: 50%;
  background-color: #000000;
  color: #ffffff;
  display: flex;
  align-items: center;
  justify-content: center;
  border: none;
  cursor: pointer;
  transition: background-color 0.2s ease;
  font-size: 20px;
}
.slider-section-container .slider-header .nav-btn:hover {
  background-color: #1f2937;
}
.slider-section-container .nav-btn:disabled {
  opacity: 0.4;
  cursor: not-allowed;
}
.slider-section-container .slider-wrapper {
  position: relative;
}
.slider-section-container .swiper-instance {
  width: 100%;
}
.slider-section-container .property-card {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 230px;
  border-radius: 8px;

  cursor: pointer;
  transition:
    transform 0.3s ease,
    box-shadow 0.3s ease;
  background: #ffeffc;
  overflow: hidden;
}
.slider-section-container .property-card .card-title {
  font-weight: 700;
  color: #111827;
  font-size: 18px;
  line-height: 1.3;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  overflow: hidden;
}
.slider-section-container .property-card .card-description {
  font-size: 14px;
  color: #000000;
  margin: 0px;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  line-height: 1.3;
}
.slider-section-container .property-card .text-wrapper {
  padding: 16px 10px 0px;
}

.slider-section-container .property-card .card-image-wrapper {
    position: relative;
    width: 100%;
    height: 140px;
    margin-top: 16px;
    overflow: hidden;
}


.slider-section-container .property-card .card-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.2s ease;
    object-position: top;
}

.slider-section-container .property-card:hover .card-img {
  transform: scale(1.1);
}
.slider-section-container .swiper-pagination {
  margin-top: 20px;
  position: relative !important;
}
.slider-section-container .swiper-pagination-bullet {
  width: 9px !important;
  height: 9px !important;
  background: #cfcfcf !important;
  opacity: 1 !important;
}
.slider-section-container .swiper-pagination-bullet-active {
  background: #000 !important;
}

@media (min-width: 0px) and (max-width: 767.98px) {
  .slider-section-container .property-card .card-title {
    font-size: 15px;
  }
  .slider-section-container .property-card .card-description {
    font-size: 12px;
  }
  .slider-section-container .property-card {
    height: 200px;
  }
}
@media (min-width: 0px) and (max-width: 575.98px) {
  .slider-section-container .slider-header .navigation-actions {
    gap: 4px;
  }
  .slider-section-container .slider-header .nav-btn {
    width: 25px;
    height: 25px;

    font-size: 17px;
  }
  .slider-section-container .property-card {
    height: 170px;
  }
  .slider-section-container .property-card .text-wrapper {
    padding: 10px 6px;
  }
  .slider-section-container .property-card .card-title {
    font-size: 14px;
  }
  .slider-section-container .swiper-pagination {
    margin-top: 12px;
  }
  .slider-section-container .swiper-pagination-bullet {
    width: 7px !important;
    height: 7px !important;
  }
  .slider-section-container {
    padding: 30px 0;
  }
}
